Package org.springframework.beans.factory

# Interface BeanFactoryAware

All Superinterfaces:
  `Aware`

All Known Implementing Classes:
  `AbstractFactoryBean`, `AbstractServiceLoaderBasedFactoryBean`, `AutowiredAnnotationBeanPostProcessor`, `BeanConfigurerSupport`, `GenericTypeAwareAutowireCandidateResolver`, `ListFactoryBean`, `MapFactoryBean`, `MethodInvokingBean`, `MethodInvokingFactoryBean`, `ObjectFactoryCreatingFactoryBean`, `PlaceholderConfigurerSupport`, `PreferencesPlaceholderConfigurer`, `PropertyPathFactoryBean`, `PropertyPlaceholderConfigurer`, `ProviderCreatingFactoryBean`, `QualifierAnnotationAutowireCandidateResolver`, `ServiceFactoryBean`, `ServiceListFactoryBean`, `ServiceLoaderFactoryBean`, `ServiceLocatorFactoryBean`, `SetFactoryBean`

public interface BeanFactoryAware extends Aware
Interface to be implemented by beans that wish to be aware of their owning `BeanFactory`.

For example, beans can look up collaborating beans via the factory (Dependency Lookup). Note that most beans will choose to receive references to collaborating beans via corresponding bean properties or constructor arguments (Dependency Injection).

For a list of all bean lifecycle methods, see the `BeanFactory javadocs`.

Since:
  11.03.2003
Author:
  Rod Johnson, Chris Beams
See Also:
  - `BeanNameAware`
  - `BeanClassLoaderAware`
  - `InitializingBean`
  - `org.springframework.context.ApplicationContextAware`

## Method Summary

Modifier and Type
Method
Description
`void`
`setBeanFactory(BeanFactory beanFactory)`
Callback that supplies the owning factory to a bean instance.

## Method Details

### setBeanFactory

void setBeanFactory(BeanFactory beanFactory) throws BeansException
Callback that supplies the owning factory to a bean instance.

Invoked after the population of normal bean properties but before an initialization callback such as `InitializingBean.afterPropertiesSet()` or a custom init-method.

Parameters:
  `beanFactory` - owning BeanFactory (never `null`). The bean can immediately call methods on the factory.
Throws:
  `BeansException` - in case of initialization errors
See Also:
  - `BeanInitializationException`